Subject: Re: [PATCH] NET: Multiqueue network device support.

From: Jeff Garzik <[email-masked]>
Date: Sat, 09 Jun 2007 18:14:04 -0400

Leonid Grossman wrote:
> But my point was that while virtualization capabilities of upcoming NICs
> may be not even relevant to Linux, the multi-channel hw designs (a side
> effect of virtualization push, if you will) will be there and a
> non-virtualized stack can take advantage of them.

I'm looking at the current hardware virtualization efforts, and often 
grimacing.  A lot of these efforts assume that "virtual PCI devices" 
will be wonderful virtualization solutions, without stopping to think 
about global events that affect all such devices, such as silicon resets 
or errata workarounds.  In the real world, you wind up having to 
un-virtualize to deal with certain exceptional events.

But as you point out, these hardware virt efforts can bestow benefits on 
non-virtualized stacks.

	Jeff